%define	prefix /usr
%define	version
%define srcver	v3
Summary: Kanji Input Server for X11
Name: kinput2
Version: v3
Release: 1b
Distribution: Japanese RPM (JRPM)
Vendor: Linux Japanese RPM Project
Group: Extensions/Japanese
Source: ftp://ftp.sra.co.jp/pub/x11/kinput2/kinput2-%{srcver}.tar.gz
Patch0: localhost:/kinput2-JRPM.patch
Patch1: localhost:/kinput2-crypt.patch
Patch2: localhost:/kinput2.copyright
Copyright: distributable
Packager: Keisuke Fujii <fujiik@jlcuxf.kek.jp>
BuildRoot: /tmp/kinput2

%description
Kinput2ܸϤɬפȤXץꥱѤ
ϥСǤ

%package canna
Summary: Kinput2 for Canna
Group: Extensions/Japanese

%description canna
Kinput2ܸϤɬפȤXץꥱѤ
ϥСǤ

ΥѥåCannaбƤޤ

%package wnn
Summary: Kinput2 for Wnn
Group: Extensions/Japanese

%description wnn
Kinput2ܸϤɬפȤXץꥱѤ
ϥСǤ

ΥѥåWnnбƤޤ

%package canna-wnn
Summary: kinput2 for Canna/Wnn
Group: Extensions/Japanese

%description canna-wnn
Kinput2ܸϤɬפȤXץꥱѤ
ϥСǤ

ΥѥåCannaWnnбƤޤ

%prep
%setup -n kinput2-%{srcver}
%patch0 -p1
%patch1 -p1

cp $RPM_SOURCE_DIR/kinput2.copyright Copyright

find . -name '*.orig' -exec rm -f {} \;

rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{prefix}/X11R6
if [ -d %{prefix}/X11R6.1 ];then
	ln -sf $RPM_BUILD_ROOT%{prefix}/X11R6 $RPM_BUILD_ROOT%{prefix}/X11R6.1
fi
if [ -d %{prefix}/X11R6.3 ];then
	ln -sf $RPM_BUILD_ROOT%{prefix}/X11R6 $RPM_BUILD_ROOT%{prefix}/X11R6.3
fi

mkdir -p $RPM_BUILD_ROOT%{prefix}/X11R6/bin
mkdir -p $RPM_BUILD_ROOT%{prefix}/X11R6/lib/X11/app-defaults
mkdir -p $RPM_BUILD_ROOT%{prefix}/X11R6/lib/X11/ccdef
mkdir -p $RPM_BUILD_ROOT%{prefix}/X11R6/man/man1


%build
rm -f Kinput2.conf
ln -sf Kinput2.conf.canna Kinput2.conf
xmkmf -a
make
mv cmd/kinput2 kinput2.canna; strip kinput2.canna
make clean

ln -sf Kinput2.conf.wnn Kinput2.conf
xmkmf -a
make
mv cmd/kinput2 kinput2.wnn; strip kinput2.wnn
make clean

ln -sf Kinput2.conf.canna-wnn Kinput2.conf
xmkmf -a
make
mv cmd/kinput2 kinput2.canna-wnn; strip kinput2.canna-wnn

%install
make install install.man DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{prefix}/X11R6/bin/kinput2
install -c -m 0755 kinput2.canna     $RPM_BUILD_ROOT%{prefix}/X11R6/bin
install -c -m 0755 kinput2.wnn       $RPM_BUILD_ROOT%{prefix}/X11R6/bin
install -c -m 0755 kinput2.canna-wnn $RPM_BUILD_ROOT%{prefix}/X11R6/bin

%clean
rm -rf $RPM_BUILD_ROOT

%post canna
ln -sf kinput2.canna %{prefix}/X11R6/bin/kinput2

%post wnn
ln -sf kinput2.wnn %{prefix}/X11R6/bin/kinput2

%post canna-wnn
ln -sf kinput2.canna-wnn %{prefix}/X11R6/bin/kinput2

%postun
rm -rf %{prefix}/X11R6/bin/kinput2

%files canna
%doc README* doc/* Copyright
%{prefix}/X11R6/lib/X11/ccdef
%{prefix}/X11R6/man/man1/kinput2.1x
%config %{prefix}/X11R6/lib/X11/app-defaults/Kinput2
%{prefix}/X11R6/bin/kinput2.canna

%files wnn
%doc README* doc/* Copyright
%{prefix}/X11R6/lib/X11/ccdef
%{prefix}/X11R6/man/man1/kinput2.1x
%config %{prefix}/X11R6/lib/X11/app-defaults/Kinput2
%{prefix}/X11R6/bin/kinput2.wnn

%files canna-wnn
%doc README* doc/* Copyright
%{prefix}/X11R6/lib/X11/ccdef
%{prefix}/X11R6/man/man1/kinput2.1x
%config %{prefix}/X11R6/lib/X11/app-defaults/Kinput2
%{prefix}/X11R6/bin/kinput2.canna-wnn

%changelog
* Tue Jun 17 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- accomodate with new Wnn and Canna directory layout

* Tue Jun 4 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- updated to v3

* Tue May 14 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- updated to v3-beta3

* Tue Apr 23 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- updated to v3-beta2

* Tue Apr 13 1999 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- updated to v2fix5-alpha8

* Thu Aug 20 1998 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 1st Release with v2fix5-alpha1

* Thu Mar 26 1998 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- 2nd Release with Honma's patch

* Sat Dec 13 1997 Susumu Nagashige <nagasige@netlaputa.ne.jp>
- 1st Release

